[Gta04-owner] +++ next breakthrough for qtmoko2 +++

H. Nikolaus Schaller hns at goldelico.com
Sun Mar 18 15:21:37 CET 2018


> Am 18.03.2018 um 15:08 schrieb Andreas Kemnade <andreas at kemnade.info>:
> 
> On Sun, 18 Mar 2018 07:39:50 +0100
> "H. Nikolaus Schaller" <hns at goldelico.com> wrote:
> 
>> Hi all,
>> here is a new result:
>> 
>> -rw-r--r--  1 root root        1974 Mar 17 22:36 qt-embedded-dev_4.8.7.20180317_armhf.deb
>> -rw-r--r--  1 root root         800 Mar 17 21:09 qt-embedded_4.8.7.20180317.dsc
>> -rw-r--r--  1 root root   263724152 Mar 17 21:09 qt-embedded_4.8.7.20180317.tar.xz
>> -rw-r--r--  1 root root        1671 Mar 17 22:38 qt-embedded_4.8.7.20180317_armhf.changes
>> -rw-r--r--  1 root root    30166038 Mar 17 22:37 qt-embedded_4.8.7.20180317_armhf.deb
>> 
>> This means that I have managed to build the QtMoko2 version of qte core as Debian
>> (Jessie) packages [1], after merging last upstream changes (hence version 4.8.7)
>> and all known QtMoko patches (mainly by Radek and Andreas) and the debian/rules
>> (by Josua) into a single branch [2].
>> 
>> If you have a Letux Debian on your GTA04 (or Pyra or Pandora or ...) it suffices to
>> 
>> 	apt-get update
>> 	apt-get install qt-embedded
>> 	ls -l /opt/qt-embedded/bin/qmake
>> 
>> If you want to try to build it yourself, these commands should work on some Jessie (armhf) system:
>> 
>> 	sudo apt-get install git build-essential pkg-config debhelper libz-dev libsqlite3-dev libglib2.0-dev libgstreamer0.10-dev libgstreamer-plugins-base0.10-dev
>> 	git clone git://git.goldelico.com/qtmoko2-qte.git
>> 	cd qtmoko2-qte
>> 	git checkout jessie
>> 	dpkg-buildpackage
>> 
>> The benefit of this work will be that it becomes much faster to build QtMoko2,
>> because all the core Qt stuff (graphics, libs, WebKit) etc. have not to
>> be rebuilt over and over. We just install the -dev version and can link
>> against it. By this step, development of Apps should become simple.
>> 
>> The next step that should be done is to remove qte sources from the QtMoko
>> tree. And make the qtmoko build just use the qmake and libs provided by
>> qt-embedded-dev.
>> 
> in src/build/bin/configure there is some skip_qte option. Maybe that
> can be useful.

You mean here?

http://git.goldelico.com/?p=gta04-qtmoko.git;a=blob;f=src/build/bin/configure;h=9743ba1f7f7cb3527dac40133e517e733a544787;hb=18093e5a21ab6c8cf1e3694b4274e8f70cc07d1c#l1348

Good to know.

The other thing is that it could suffice to prefix $PATH
by /opt/qt-embedded/bin and it should find the qmake from qt-embedded-dev

BR and thanks,
Nikolaus



More information about the Gta04-owner mailing list